Bug 339021 - Review Request: compizconfig-backend-gconf - GConf backend for compizconfig
Summary: Review Request: compizconfig-backend-gconf - GConf backend for compizconfig
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-19 01:08 UTC by Mohd Izhar Firdaus Ismail
Modified: 2011-04-04 03:52 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-30 18:30:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Mohd Izhar Firdaus Ismail 2007-10-19 01:08:51 UTC
Spec URL: http://izhar.fedorapeople.org/compizconfig-backend-gconf/compizconfig-backend-gconf.spec
SRPM URL: http://izhar.fedorapeople.org/compizconfig-backend-gconf/compizconfig-backend-gconf-0.6.0-0.1.20071019git.fc8.src.rpm
Description: 
The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
through plugins and themes contributed by the community giving a
rich desktop experience.

This package contains the Gconf backend for libcompizconfig

Comment 1 Mamoru TASAKA 2007-10-19 13:47:43 UTC
For 0.6.0-0.1.XXX:

* Redundant BuildRequires
  - Some BuildRequires are redundant.
    * glib2-devel <- GConf2-devel requires this
    * gettext-devel - This doesn't seem to be needed. Mockbuild
                      succeeds without this.
      http://koji.fedoraproject.org/koji/taskinfo?taskID=202832

* Documents
  - "INSTALL" file should be removed. This is for people who
    want to compile and install this package by themselves and
    not needed for rpm users.
  - "AUTHORS" file is useless for this package...

Comment 2 Mohd Izhar Firdaus Ismail 2007-10-20 03:19:34 UTC
removed the redundant BR & unneeded docs

http://izhar.fedorapeople.org/compizconfig-backend-gconf/compizconfig-backend-gconf-0.6.0-0.2.20071019git.fc8.src.rpm

Comment 3 Mamoru TASAKA 2007-10-20 10:55:18 UTC
Okay.

-------------------------------------------------------------------
   This package (compizconfig-backend-gconf) is APPROVED by me
-------------------------------------------------------------------

Comment 4 Mohd Izhar Firdaus Ismail 2007-10-20 18:16:02 UTC
New Package CVS Request
=======================
Package Name: compizconfig-backend-gconf
Short Description: GConf backend for compizconfig
Owners: izhar
Branches: F-8 Devel
InitialCC: izhar
Cvsextras Commits: extras

Comment 5 Kevin Fenzi 2007-10-21 17:10:53 UTC
cvs done.

Comment 6 Mamoru TASAKA 2007-10-27 14:23:45 UTC
Closing for now.

Comment 7 Lars G 2007-11-10 04:27:35 UTC
as ccsm is now in fedora 8 updates-testing it would be nice to push
compizconfig-backend-gconf there too, so one have the complete set of packages
to configure compiz with ccsm in fedora 8.

also i think compizconfig-backend-gconf needs the
compiz-gnome/compiz-fusion-gnome/compiz-fusion-extras-gnome gconf packages to
work. so maybe a dep on them would be ok?


Comment 8 Mohd Izhar Firdaus Ismail 2007-11-10 12:57:49 UTC
From my testings so far, the gconf backend tends to crash the default compiz
installation, (the one loaded with 'glib gconf'). So far it serves nothing more
than a storage backend for libcompizconfig (which defaults uses flat .ini
format) and could not be used together with the current compiz configuration,
unless compiz is loaded with ccp instead of glib gconf. 

I've asked #compiz-fusion-dev and they replied that the gconf backend is only
working as a storage backend for 'compiz ccp' and not useable for 'compiz glib
gconf' ..

In your opinion, should i push this to stable eventhough that segfault issue
exist ?? (I don't feel like pushing it until it actually JustWorks).

Comment 9 Mamoru TASAKA 2007-11-10 13:21:09 UTC
(In reply to comment #8)
> (I don't feel like pushing it until it actually JustWorks).
Actually.



Comment 10 Lars G 2007-11-10 21:25:33 UTC
works OK here on fedora 8.

i grabbed compizconfig-backend-gconf from rawhide and ccsm from updates-testing.
in ccsm prefs i selected gconf-backend and disabled the plugin autoloading.
this fixed the issue with some plugins disabling themself and gtk-decorator not
showing the window border etc.

with this setup it works OK without any problems.


my installed components on fedora 8 are:
ccsm-0.6.0-3.fc8.noarch
compiz-0.6.2-3.fc8.x86_64
compizconfig-backend-gconf-0.6.0-1.fc9.x86_64
compizconfig-python-0.6.0-1.fc8.x86_64
compiz-fusion-0.6.0-5.fc8.x86_64
compiz-fusion-extras-0.6.0-1.fc8.x86_64
compiz-fusion-extras-gnome-0.6.0-1.fc8.x86_64
compiz-fusion-gnome-0.6.0-5.fc8.x86_64
compiz-gnome-0.6.2-3.fc8.x86_64
libcompizconfig-0.6.0-3.fc8.x86_64


Comment 11 Mohd Izhar Firdaus Ismail 2007-11-11 05:51:08 UTC
@ Lars
are you running compiz using glib/gconf or compiz using ccp ? 

by "plugin autoloading" do you mean the option "Automatic plugin sorting" at  
Preferences > Plugin List ??

I tried these:
1. reset'ed my gconf configs @ /apps/compiz
2. loaded compiz using the desktop-effects menu (which runs compiz using glib/gconf)
3. opened ccsm, and switched the backend to gconf
4. enabled some plugins -> result -> compiz segfaults

When I disabled "Automatic plugin sorting",
- enabled manually plugins through the Plugin List -> it works
- however, we lots the ability to select plugins through the main UI, and also
lost the plugin dependency and conflicts check, user had to figure out which to
 enable, which not, and had to sort the plugin loading sequence by themselves.

is that what u meant?

@ Tasaka-san
if this package going to have the dependency to -gnome of compiz-fusion the
compiz packages, some users (though i think the possibility is, rare) might
install only compiz-fusion and not compiz-fusion-extras, 

a little confusion for me here,
should this package pull both compiz-fusion-gnome and compiz-fusion-extras-gnome
?? If i put a dependency like this, both compiz-fusion and compiz-fusion-extras
need to be pulled. If I put dependency to only compiz-fusion-gnome, users who
want to use compiz-fusion-extras had to pull the -gnome manually. 

If the first option is selected, if a new package of a different plugins set
appeared in the repo (eg: compiz-fusion-unsupported), should a dependency be
added in this package for the -gnome of the new package??.

Comment 12 Mamoru TASAKA 2007-11-11 07:40:21 UTC
Well,

(In reply to comment #11)
> @ Tasaka-san
> if this package going to have the dependency to -gnome of compiz-fusion the
> compiz packages, some users (though i think the possibility is, rare) might
> install only compiz-fusion and not compiz-fusion-extras, 
  I will leave it as how you judge.
  If we can install compizconfig-backend-gconf, compiz-fusion-gnome
  only and leave compiz-fusion-extras-gnome uninstalled, then
  this package should not require compiz-fusion-extras-gnome.

  One method is that
  - make compizconfig-backend-gconf require compiz-fusion-gnome only
  - create compizconfig-backend-gconf-extras subpackage with
    containing no files and make compizconfig-backend-gconf-extras
    require both compizconfig-backend-gconf ( =%{version}-%{release} )
    and compiz-fusion-extras-gnome

  ... if I understand what you mean.

> If the first option is selected, if a new package of a different plugins set
> appeared in the repo (eg: compiz-fusion-unsupported), should a dependency be
> added in this package for the -gnome of the new package??.

It depends on what you judge.
If you think that new different plugins should be installed
with compizconfig-backend-gconf by default, the new dependency
should be added.
If you think the new plugins are not needed for this package by
default, new dependency is not needed.



Comment 13 Lars G 2007-11-12 12:04:12 UTC
(In reply to comment #11)
> @ Lars
> are you running compiz using glib/gconf or compiz using ccp ? 

i'm using the gconf backend

> by "plugin autoloading" do you mean the option "Automatic plugin sorting" at  
> Preferences > Plugin List ??

yes

> I tried these:
> 1. reset'ed my gconf configs @ /apps/compiz
> 2. loaded compiz using the desktop-effects menu (which runs compiz using
glib/gconf)
> 3. opened ccsm, and switched the backend to gconf
> 4. enabled some plugins -> result -> compiz segfaults
> 
> When I disabled "Automatic plugin sorting",
> - enabled manually plugins through the Plugin List -> it works

i did exactly the same

> - however, we lots the ability to select plugins through the main UI, and also
> lost the plugin dependency and conflicts check, user had to figure out which to
>  enable, which not, and had to sort the plugin loading sequence by themselves.
> 
> is that what u meant?

yes, i too think that this plugin-autoload-workaround is only temporary,
but i'm glad i discovered it so it's at least working fine here.
maybe someone can fix this upstream?


Comment 14 Mamoru TASAKA 2007-11-30 13:30:00 UTC
By the way, currently what causes this bug still open?

Comment 15 Mohd Izhar Firdaus Ismail 2007-11-30 18:30:13 UTC
i've moved the crash problem as another bug separate from this package review ..
#406771

closing this ..

Comment 16 leigh scott 2011-04-01 15:57:19 UTC
Hi Mohd Izhar,

Is it ok for me to request a epel6 branch?

https://bugzilla.redhat.com/show_bug.cgi?id=677365

Thanks

Leigh

Comment 17 leigh scott 2011-04-01 17:39:58 UTC
Package Change Request
======================
Package Name: compizconfig-backend-gconf
New Branches: el6
Owners: leigh123linux

Comment 18 Jason Tibbitts 2011-04-04 03:52:07 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.